'use strict';

const protobuf = require('protobufjs');

const protodir = __dirname + '/../protos/';
const p = protobuf.loadSync(protodir + 'WhisperTextProtocol.proto').lookup('textsecure');

const WhisperMessage = p.lookup('WhisperMessage');
const PreKeyWhisperMessage = p.lookup('PreKeyWhisperMessage');

exports.WhisperMessage = WhisperMessage;
exports.PreKeyWhisperMessage = PreKeyWhisperMessage;
